Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

tab and toolbar rendering not updating - frozen images of previously rendered things persist

  • 2 uphendule
  • 1 inale nkinga
  • 50 views
  • Igcine ukuphendulwa ngu alex.lemony

more options

Hi, I'm experiencing a problem with firefox rendering on the tab and toolbar. Everything looks normal on first launch of the browser, but as I navigate between websites, open new tabs and reorder tabs everything that has been previously drawn on the tab and toolbar/searchbar persists, with new things being drawn over the top, overlapped (see image)

My OS info and some other perhaps relevant information

OS: Manjaro Linux x86_64

Kernel: 4.19.49-1-MANJARO

WM: i3 

Theme: Adapta-Nokto-Eta-Maia [GTK2], solarized-dark-gtk [GTK3]

Icons: Papirus-Adapta-Nokto-Maia [GTK2/3] 

What follows is a dump of warning messages that firefox sends to my console, once I start an instance of the browser from there:

```

(firefox:25470): Gtk-WARNING **: 18:10:34.946: Theme parsing error: a11y.css:27:13: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.946: Theme parsing error: a11y.css:38:20: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:73:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:74:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:75:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:88:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:89:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:103:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:104:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:154:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:197:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:198:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:202:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:203:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:235:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:249:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:250:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:266:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.947: Theme parsing error: a11y.css:289:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:34.948: Theme parsing error: a11y.css:392:14: not a number

(firefox:25470): Gtk-WARNING **: 18:10:34.948: Theme parsing error: a11y.css:392:14: Expected a string.

(firefox:25470): Gtk-WARNING **: 18:10:34.948: Theme parsing error: a11y.css:414:10: not a number

(firefox:25470): Gtk-WARNING **: 18:10:34.948: Theme parsing error: a11y.css:414:17: Using Pango syntax for the font: style property is deprecated; please use CSS syntax

(firefox:25470): Gtk-WARNING **: 18:10:40.044: Theme parsing error: gtk.css:26:27: The style property GtkWidget:link-color is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.044: Theme parsing error: gtk.css:27:35: The style property GtkWidget:visited-link-color is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.044: Theme parsing error: a11y.css:6:29: The style property GtkWidget:cursor-color is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.044: Theme parsing error: a11y.css:8:30: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.044: Theme parsing error: a11y.css:9:33: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.044: Theme parsing error: a11y.css:10:35: The style property GtkWidget:focus-line-pattern is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.044: Theme parsing error: a11y.css:12:33: The style property GtkMenu:horizontal-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:13:31: The style property GtkMenu:vertical-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:19:31: The style property GtkButton:default-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:27:13: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:38:20: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:73:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:74:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:75:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:88:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:89:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:103:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:104:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:154:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:188:37: The style property GtkMenuItem:horizontal-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:197:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:198:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:202:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:235:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.045: Theme parsing error: a11y.css:249:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.046: Theme parsing error: a11y.css:250:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.046: Theme parsing error: a11y.css:266:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.046: Theme parsing error: a11y.css:267:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.046: Theme parsing error: a11y.css:289:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:25470): Gtk-WARNING **: 18:10:40.046: Theme parsing error: a11y.css:392:14: not a number

(firefox:25470): Gtk-WARNING **: 18:10:40.046: Theme parsing error: a11y.css:392:14: Expected a string.

(firefox:25470): Gtk-WARNING **: 18:10:40.046: Theme parsing error: a11y.css:414:10: not a number

(firefox:25470): Gtk-WARNING **: 18:10:40.046: Theme parsing error: a11y.css:414:17: Using Pango syntax for the font: style property is deprecated; please use CSS syntax

``` The warnings continue after this, but the full dump is too long for this textbox - it just repeats the same messages.

Ama-screenshot ananyekiwe

All Replies (2)

more options

Hi,

I think you can fix that by doing a safe mode repair

https://support.mozilla.org/en-US/kb/troubleshoot-firefox-issues-using-safe-mode

more options

Hello, I reinstalled firefox, started in safe mode, refreshed firefox and deleted my pref.js file - the problem unfortunately persists throughout all of these steps.